Bug 807900 - Unable to select XML properly
Unable to select XML properly
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 01:26 EDT by Lee Newson
Modified: 2013-07-01 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 19:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2012-03-29 01:26:08 EDT
You are unable to select the XML in the codemirror text input area when the line wraps. If you do select the XML the cursor stays on the original line further along the page. Typing here does insert text in the wrapped line but its very hard to pick the position. The issue appears to be in the Code Mirror library but will require some more investigation.

To get around this you can extend the width of the Text Area to stop the wrapping.

Example: 
1. Open topic 6917 or any topic with a long string on a single line.
2. Scroll down tot he wrapped text.
3. Try and click the wrapped text.
Comment 1 David Le Sage 2012-03-29 01:30:44 EDT
Another easy temporary work around is to copy and paste all of the text into a text editor, do the edit and paste it back into Skynet. ;-)
Comment 2 Lee Newson 2012-03-29 02:13:56 EDT
Updating to the latest version of Code Mirror appears to have fixed this issue. I'll add some more details when the build is put together and tested better.
Comment 3 Lee Newson 2012-04-05 02:43:25 EDT
Fixed in 20120329-1646.

As I stated before updating to the latest version of CodeMirror fixed the issue that with being unable to select the test in all the examples I found.

However there's a possibility that the Stylesheet and Script are cached, so you may need to empty your cache before you notice the changes.

Chrome:
Wrench->Tools->Clear Browsing Data

Make sure that at least cache is ticked, the rest you should probably unselect. Also up the top select "the beginning of time", then click "Clear Browsing Data"

Firefox:
Edit->Preferences->Advanced

In the "Network" Tab in the "Cached Web Content" section click the "Clear Now" button.

Note You need to log in before you can comment on or make changes to this bug.